| Home | Libraries | People | FAQ | More

## Function slice

boost::histogram::algorithm::slice — Slice command to be used in `reduce`.

## Synopsis

    // In header: <boost/histogram/algorithm/reduce.hpp>

    reduce_command
    slice(axis::index_type begin, axis::index_type end,
          slice_mode mode = slice_mode::shrink);

## Description

Command is applied to corresponding axis in order of reduce arguments.

Slicing works like `shrink` or`crop`, but uses bin indices instead of values.

Parameters: |
`begin` | first index that should be kept.
`end` | one past the last index that should be kept.
`mode` | whether to behave like `shrink` or`crop` regarding removed bins.